Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 645030

Summary: sci-chemistry/avogadro depends on deprecated Qt4
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: Gentoo Chemistry-Related Packages <sci-chemistry>
Status: RESOLVED FIXED    
Severity: normal CC: nheghathivhistha
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: Masked for removal on 2018-05-08
Package list:
Runtime testing required: ---
Bug Depends on: 649864    
Bug Blocks: 631788    

Description Andreas Sturmlechner gentoo-dev 2018-01-19 16:18:03 UTC
Qt4 is dead and going away, we need to get avogadro2 going.
Comment 1 Larry the Git Cow gentoo-dev 2018-04-08 10:02:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7b683690af541f88f9a4e5b5e725d0ddc8de6f1

commit a7b683690af541f88f9a4e5b5e725d0ddc8de6f1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-08 09:57:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-08 09:57:58 +0000

    profiles: Mask sci-chemistry/avogadro for removal
    
    Bug: https://bugs.gentoo.org/645030

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)}
Comment 2 Larry the Git Cow gentoo-dev 2018-05-07 22:26:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb9a93f86bfb9c892d99268f6812e7b13660f851

commit eb9a93f86bfb9c892d99268f6812e7b13660f851
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-05-07 22:24:59 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-05-07 22:24:59 +0000

    sci-chemistry/avogadro: remove last rited package
    
    Closes: https://bugs.gentoo.org/645030
    Closes: https://bugs.gentoo.org/447532
    Closes: https://bugs.gentoo.org/649500

 sci-chemistry/avogadro/Manifest                    |  1 -
 .../avogadro/avogadro-1.2.0_p20170207.ebuild       | 90 ----------------------
 .../files/avogadro-1.1.1-boost-join-moc.patch      | 78 -------------------
 .../files/avogadro-1.1.1-mkspecs-dir.patch         | 12 ---
 .../avogadro/files/avogadro-1.1.1-no-strip.patch   | 12 ---
 .../avogadro/files/avogadro-1.1.1-openbabel.patch  | 16 ----
 .../files/avogadro-1.1.1-pkgconfig_eigen.patch     |  8 --
 .../avogadro/files/avogadro-1.2.0-numpy.patch      | 13 ----
 sci-chemistry/avogadro/metadata.xml                | 20 -----
 9 files changed, 250 deletions(-)